
#include "..\drivers\bsp.h"
#include "deglitch_retime.h"

U8 bPreviousDeglitchedSample;
U8 bCurrentDeglitchedSample;
U8 bOneSampleCount;
U16 wShiftreg;
U16 wBitMask;
U8 bBitLimit;
U8 bRetimedBitBuffer;
U8 bRetimedBitShiftreg;
U8 bSampleperbitCounter;
bit fRetimedBitBufferFull;
U8 bSamplePerBitRatio;
U8 bNumberOfRetimedBits;



void DeglitchRetime_Stop()
{

	// disable timer3 IT
        mTmr_DisableTmr3It();

}


void DeglitchRetime_Start()
{

	wShiftreg = 0;
        bOneSampleCount = 0;
        bSampleperbitCounter = bSamplePerBitRatio / 2;
	// enable IT
        mTmr_EnableTmr3It();

}

/*!
 * This function is the interrupt service routine of Timer 3.
 * Clears IT flag, performs deglitching, retiming and sets buffer full flag.
 *
 * @return  None.
 */
INTERRUPT(vIsr_SampleTimerIsr, INTERRUPT_TIMER3)
{
        mTmr_ClearTmr3It();
	if ( wShiftreg & wBitMask )
        {
	        bOneSampleCount--;
        }
	wShiftreg <<= 1;
	// MCU_RX_DATA: raw data input,
	if ( MCU_RX_DATA )
	{
		wShiftreg++;
		bOneSampleCount++;
	}
	if ( bOneSampleCount > bBitLimit )
        {
                bCurrentDeglitchedSample = 1;
//              LED1 = 1;
        }
        else
        {
                bCurrentDeglitchedSample = 0;
//              LED1 = 0;
        }
        if (bCurrentDeglitchedSample == bPreviousDeglitchedSample )
        {
                bSampleperbitCounter--;
                if ( bSampleperbitCounter == 0)
                {
                        bSampleperbitCounter = bSamplePerBitRatio;
                        bRetimedBitShiftreg <<= 1;
                        bRetimedBitShiftreg |= bCurrentDeglitchedSample;
                        bNumberOfRetimedBits++;
	                if ( bNumberOfRetimedBits == 8 )
	                {
                                bNumberOfRetimedBits = 0;
                                bRetimedBitBuffer = bRetimedBitShiftreg;
		                fRetimedBitBufferFull = TRUE;
                        }
                }
	}
	else	//if the next sample isn't the same
	{
                bSampleperbitCounter = bSamplePerBitRatio / 2;
                bPreviousDeglitchedSample = bCurrentDeglitchedSample;
	}



}

