/*! @file bsp.h
 * @brief This file contains application specific definitions and includes.
 *
 * @b COPYRIGHT
 * @n Silicon Laboratories Confidential
 * @n Copyright 2012 Silicon Laboratories, Inc.
 * @n http://www.silabs.com
 */

#ifndef BSP_H
#define BSP_H

/*------------------------------------------------------------------------*/
/*            Application specific global definitions                     */
/*------------------------------------------------------------------------*/

#define SILABS_PLATFORM_RFSTICK
#define SILABS_RFSTICK_4455HB

/*! Extended driver support */
#define RADIO_DRIVER_EXTENDED_SUPPORT

#undef  RADIO_DRIVER_FULL_SUPPORT
#undef  SPI_DRIVER_EXTENDED_SUPPORT
//#undef  HMI_DRIVER_EXTENDED_SUPPORT
#undef  TIMER_DRIVER_EXTENDED_SUPPORT
#undef  UART_DRIVER_EXTENDED_SUPPORT


#define TIMER_DRIVER_EXTENDED_SUPPORT
#define HMI_DRIVER_EXTENDED_SUPPORT

/*------------------------------------------------------------------------*/
/*            Application specific includes                               */
/*------------------------------------------------------------------------*/

#include "compiler_defs.h"
#include "platform_defs.h"
#include "hardware_defs.h"

#include "..\application\application_defs.h"

#include "control_IO.h"
#include "spi.h"
#include "hmi.h"
#include "timer.h"
#include "pca.h"
#include "uart.h"
#include "..\application\isr.h"

//#include "..\application\radio_config.h"
#include "..\application\radio.h"
#include "..\application\sample_code_func.h"

//#include "..\drivers\radio\radio_hal.h"
//#include "..\drivers\radio\radio_comm.h"

#ifdef SILABS_RADIO_SI446X
//#include "..\drivers\radio\Si446x\si446x_api_lib.h"
//#include "..\drivers\radio\Si446x\si446x_defs.h"
//#include "..\drivers\radio\Si446x\si446x_nirq.h"
//#include "..\drivers\radio\Si446x\si446x_patch.h"
#endif

#ifdef SILABS_RADIO_SI4455
//#include "..\drivers\radio\Si4455\si4455_api_lib.h"
//#include "..\drivers\radio\Si4455\si4455_defs.h"
//#include "..\drivers\radio\Si4455\si4455_nirq.h"
#endif

#endif //BSP_H
