/*! @file spi.h
 * @brief This file is the interface file for SPI0 and SPI1 routines.
 *
 * @b COPYRIGHT
 * @n Silicon Laboratories Confidential
 * @n Copyright 2012 Silicon Laboratories, Inc.
 * @n http://www.silabs.com
 */

#ifndef SPI_H
#define SPI_H

/*------------------------------------------------------------------------*/
/*                          Global definitions                            */
/*------------------------------------------------------------------------*/

/*------------------------------------------------------------------------*/
/*                          External variables                            */
/*------------------------------------------------------------------------*/

#ifdef SILABS_MCU_DC_MLCD
extern SEGMENT_VARIABLE(bSpi_SelectStateSpi0, U8 , SEG_DATA);
extern BIT gSpi_Spi0Disabled;
#endif

extern SEGMENT_VARIABLE(bSpi_SelectStateSpi1, U8 , SEG_DATA);
extern BIT gSpi_Spi1Disabled;


/*------------------------------------------------------------------------*/
/*                           Function prototypes                          */
/*------------------------------------------------------------------------*/

#ifdef DRIVERS_EXTENDED_SUPPORT
  #ifdef SILABS_MCU_DC_MLCD
    void vSpi_EnableSpi0(void);
    void vSpi_DisableSpi0(void);
    void vSpi_ClearNselSpi0(U8 biSelectDevice);
    void vSpi_SetNselSpi0(U8 biSelectDevice);
    U8 bSpi_ReadByteBitbangSpi0(void);
    void vSpi_WriteBitsBitbangSpi0(U8 biDataIn, U8 biNumOfBits);
  #endif

  void vSpi_EnableSpi1(void);
  void vSpi_DisableSpi1(void);
  void vSpi_ClearNselSpi1(U8 biSelectDevice);
  void vSpi_SetNselSpi1(U8 biSelectDevice);
  U8 bSpi_ReadByteBitbangSpi1(void);
  void vSpi_WriteBitsBitbangSpi1(U8 biDataIn, U8 biNumOfBits);
#endif


#ifdef SILABS_MCU_DC_MLCD
  void vSpi_WriteDataSpi0(U8 biDataInLength, U8 *pabiDataIn);
  void vSpi_ReadDataSpi0(U8 biDataOutLength, U8 *paboDataOut);
  U8 bSpi_ReadWriteSpi0(U8 biDataIn);
#endif

void vSpi_WriteDataSpi1(U8 biDataInLength, U8 *pabiDataIn);
void vSpi_ReadDataSpi1(U8 biDataOutLength, U8 *paboDataOut);
U8 bSpi_ReadWriteSpi1(U8 biDataIn);

#endif
